Subject: Re: bug#24091: 24.5; High CPU usage at startup while hidden

From: [email-masked]
Date: Sat, 13 Aug 2016 19:57:54 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Date: Sat, 30 Jul 2016 09:54:55 -0400
>> Cc: [email-masked], [email-masked], [email-masked]
>> 
>> >> But it seems that FRAME_ICONIFIED_P is returning false, because I see
>> >> that tries is never incremented.
>> >
>> > The question is: what happens if you bypass that loop and let Emacs
>> > proceed with startup?  Does it successfully finish the startup, or
>> > does it error out or crash later on?
>> 
>> Works fine, no crashes.
>> 
>> >
>> > If the former, we need to find a way to detect this special situation,
>> > and maybe bypass the loop altogether.
>> 
>> Hmm, not really sure where to start.
>
> I'd start by finding out why FRAME_ICONIFIED_P returns false.

Well, it seems that's because Emacs never receives an UnmapNotify event.
But that doesn't feel like I'm getting any closer to a solution...